aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2014-08-18 19:29:44 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2014-08-21 07:53:25 +0000
commit5098a754fd53ce396ec286adfdaa8e669abd5ec9 (patch)
tree02f0dee07390918eec8b654afce21d0239ff7177
parent957b8be7919f86a06b7f849cd708c2c633b5d287 (diff)
downloadaports-5098a754fd53ce396ec286adfdaa8e669abd5ec9.tar.gz
aports-5098a754fd53ce396ec286adfdaa8e669abd5ec9.tar.bz2
aports-5098a754fd53ce396ec286adfdaa8e669abd5ec9.tar.xz
testing/py-bottle-renderer: new aport
Renderer plugin for bottle https://pypi.python.org/pypi/bottle-renderer
-rw-r--r--testing/py-bottle-renderer/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-bottle-renderer/APKBUILD b/testing/py-bottle-renderer/APKBUILD
new file mode 100644
index 0000000000..6acfee7823
--- /dev/null
+++ b/testing/py-bottle-renderer/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-bottle-renderer
+_pkgname=bottle-renderer
+pkgver=0.1.1
+pkgrel=0
+pkgdesc="Bottle renderer plugin"
+url="https://pypi.python.org/pypi/bottle-renderer"
+arch="noarch"
+license="MIT"
+depends="python py-bottle"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="d188c368d4b0544808cb7d625522ad15 bottle-renderer-0.1.1.tar.gz"
+sha256sums="fbe2809750f33e254169f7a55824a72e2c7bb367c1cb624ed9d56bc8ebc196cc bottle-renderer-0.1.1.tar.gz"
+sha512sums="1bbf5750de425afa201b525d4207d542512288fa2506053b460db9d6ffd2d5040cefe29ed663abb85e337b66025cd594d401c25181bdcdfbbe4c0cbd709f8311 bottle-renderer-0.1.1.tar.gz"